> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Metadata

> Returns metadata about the stablecoin wallets that can be created for a given entity. Use this to discover available blockchains, limits, compliance requirements, and on_behalf_of support.



## OpenAPI

````yaml get /v3/metadata/collection_accounts/wallets
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/metadata/collection_accounts/wallets:
    get:
      summary: Get Wallet Metadata
      description: >-
        Returns metadata about the stablecoin wallets that can be created for a
        given entity. Use this to discover available blockchains, limits,
        compliance requirements, and on_behalf_of support.
      operationId: get-collection-account-wallet-metadata
      parameters:
        - name: country
          in: query
          description: Country in which the account is to be opened (ISO 3166 alpha-2).
          schema:
            type: string
        - name: currencies
          in: query
          description: Currencies in ISO format.
          schema:
            type: array
            items:
              type: string
        - name: entity
          in: query
          description: >-
            Entity identifier. Set entity id to get wallet capabilities
            available for this particular entity. Capabilities not available for
            this entity wil be filtered out.
          schema:
            type: string
        - name: on_behalf_of
          in: query
          description: >-
            Set to true to get metadata for an on_behalf_of merchant. Set to
            false for a direct merchant.
          schema:
            type: boolean
      responses:
        '200':
          description: Wallet metadata for the given filters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  capabilities:
                    type: array
                    description: >-
                      List of wallet capabilities available for the given
                      filters.
                    items:
                      $ref: '#/components/schemas/WalletCapability'
              examples:
                Result:
                  value:
                    capabilities:
                      - payment_method_type: stablecoin_usdt
                        type:
                          - Ethereum
                          - Tron
                        limit:
                          minimum:
                            amount: 10
                            ccy: USD
                          maximum:
                            amount: 500000
                            ccy: USD
                          currency: USD
                        on_behalf_of:
                          support: true
                          restricted_industry_verticals:
                            - gambling
                            - firearms
                          additional_requirements:
                            - entity_approval_required
                          restricted_remitter_countries:
                            - KP
                          restricted_account_holder_countries:
                            - RU
                            - IR
                        setup_time: instant
                      - payment_method_type: stablecoin_usdc
                        type:
                          - Ethereum
                          - Solana
                          - Algorand
                          - Arbitrum
                          - Avalanche
                          - Base
                          - Flow
                          - Hedera
                          - Near
                          - Noble
                          - Polkadot
                          - Polygon Pos
                          - Stellar
                          - Binance
                          - Op Mainnet
                        limit:
                          minimum:
                            amount: 10
                            ccy: USD
                          maximum:
                            amount: 500000
                            ccy: USD
                          currency: USD
                        on_behalf_of:
                          support: true
                          restricted_industry_verticals:
                            - crypto
                            - adult_content
                          additional_requirements:
                            - entity_submission_required
                          restricted_remitter_countries:
                            - US
                            - CN
                          restricted_account_holder_countries:
                            - RU
                            - BY
                            - KP
                        setup_time: instant
components:
  schemas:
    WalletCapability:
      type: object
      description: >-
        Metadata for a stablecoin wallet payment method type available to the
        merchant.
      properties:
        payment_method_type:
          type: string
          enum:
            - stablecoin_usdt
            - stablecoin_usdc
          description: Stablecoin payment method type.
        type:
          type: array
          items:
            type: string
          description: Supported blockchains for this payment method type.
        limit:
          $ref: '#/components/schemas/TransferLimit'
        on_behalf_of:
          $ref: '#/components/schemas/WalletOnBehalfOf'
        setup_time:
          type: string
          enum:
            - instant
            - t_plus_1
            - t_plus_2
            - t_plus_3
            - extended
          description: Time required to set up the wallet.
    TransferLimit:
      type: object
      description: Minimum and maximum transfer limits.
      properties:
        minimum:
          type: object
          properties:
            amount:
              type: number
            ccy:
              type: string
        maximum:
          type: object
          properties:
            amount:
              type: number
            ccy:
              type: string
        currency:
          type: string
          description: Currency in which the limits are specified.
    WalletOnBehalfOf:
      type: object
      description: on_behalf_of collection support details for a wallet capability.
      properties:
        support:
          type: boolean
          description: Whether on_behalf_of collections can be created.
        restricted_industry_verticals:
          type: array
          items:
            type: string
          description: Industry verticals restricted for on_behalf_of collections.
        additional_requirements:
          type: array
          items:
            type: string
            enum:
              - entity_approval_required
              - entity_submission_required
          description: Additional requirements for on_behalf_of collections.
        restricted_remitter_countries:
          type: array
          items:
            type: string
          description: Sender countries restricted for on_behalf_of collections.
        restricted_account_holder_countries:
          type: array
          items:
            type: string
          description: Account holder countries restricted for on_behalf_of collections.
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````